Debian Bug report logs - #684189
wget: Please add DELETE method

version graph

Package: wget; Maintainer for wget is Noël Köthe <noel@debian.org>; Source for wget is src:wget.

Reported by: George Shuklin <amarao@desunote.ru>

Date: Tue, 7 Aug 2012 16:36:01 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Found in version wget/1.13.4.79-1

Forwarded to https://savannah.gnu.org/bugs/index.php?37055

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#684189; Package wget. (Tue, 07 Aug 2012 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Shuklin <amarao@desunote.ru>:
New Bug report received and forwarded. Copy sent to Noël Köthe <noel@debian.org>. (Tue, 07 Aug 2012 16:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: George Shuklin <amarao@desunote.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wget: Please add DELETE method
Date: Tue, 07 Aug 2012 20:24:50 +0400
Package: wget
Version: 1.13.4.79-1
Severity: wishlist

Dear Maintainer,
wget currently provides vast set of options, but sadly 
do not provide DELETE method. This makes wget inferior 
to curl in area of RESTful API scripting.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages wget depends on:
ii  dpkg           1.16.8
ii  install-info   4.13a.dfsg.1-10
ii  libc6          2.13-35
ii  libgcrypt11    1.5.0-3
ii  libgnutls26    2.12.20-1
ii  libgpg-error0  1.10-3
ii  libidn11       1.25-2
ii  libuuid1       2.20.1-5.1
ii  zlib1g         1:1.2.7.dfsg-13

wget recommends no packages.

wget suggests no packages.

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#684189; Package wget. (Wed, 08 Aug 2012 12:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to NoëlKöthe <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Noël Köthe <noel@debian.org>. (Wed, 08 Aug 2012 12:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 684189@bugs.debian.org (full text, mbox):

From: NoëlKöthe <INVALID.NOREPLY@gnu.org>
To: NoëlKöthe <noel@debian.org>, 684189@bugs.debian.org, amarao@desunote.ru, gscrivano@gnu.org
Subject: [bug #37055] Please add DELETE method
Date: Wed, 08 Aug 2012 12:14:40 +0000
URL:
  <http://savannah.gnu.org/bugs/?37055>

                 Summary: Please add DELETE method
                 Project: GNU Wget
            Submitted by: nok
            Submitted on: Mi 08 Aug 2012 14:14:39 CEST
                Category: User Interface
                Severity: 3 - Normal
                Priority: 5 - Normal
                  Status: None
                 Privacy: Public
             Assigned to: None
         Originator Name: 
        Originator Email: 
             Open/Closed: Open
         Discussion Lock: Any
                 Release: trunk
        Operating System: GNU/Linux
         Reproducibility: None
           Fixed Release: None
         Planned Release: None
              Regression: No
           Work Required: None
          Patch Included: No

    _______________________________________________________

Details:

Hello,

a forwarded feature request from http://bugs.debian.org/684189

--8<--
Dear Maintainer,
wget currently provides vast set of options, but sadly 
do not provide DELETE method. This makes wget inferior 
to curl in area of RESTful API scripting.
--8<--

Regards
 Noel




    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?37055>

_______________________________________________
  Nachricht gesendet von/durch Savannah
  http://savannah.gnu.org/




Set Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/index.php?37055'. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Wed, 08 Aug 2012 12:21:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Wed, 08 Aug 2012 12:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#684189; Package wget. (Wed, 08 Aug 2012 12:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noël Köthe <noel@debian.org>:
Extra info received and forwarded to list. (Wed, 08 Aug 2012 12:27:07 GMT) Full text and rfc822 format available.

Message #19 received at 684189@bugs.debian.org (full text, mbox):

From: Noël Köthe <noel@debian.org>
To: George Shuklin <amarao@desunote.ru>, 684189@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#684189: wget: Please add DELETE method
Date: Wed, 08 Aug 2012 14:16:43 +0200
[Message part 1 (text/plain, inline)]
forwarded 684189 https://savannah.gnu.org/bugs/index.php?37055
tags 684189 + upstream
thanks

Hello George,

Am Dienstag, den 07.08.2012, 20:24 +0400 schrieb George Shuklin:

> wget currently provides vast set of options, but sadly 
> do not provide DELETE method. This makes wget inferior 
> to curl in area of RESTful API scripting.

I forwarded your feature request to the upstream bug tracking system.

-- 
Noël Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#684189; Package wget. (Sat, 02 Nov 2013 11:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Scrivano <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Noël Köthe <noel@debian.org>. (Sat, 02 Nov 2013 11:00:04 GMT) Full text and rfc822 format available.

Message #24 received at 684189@bugs.debian.org (full text, mbox):

From: Giuseppe Scrivano <INVALID.NOREPLY@gnu.org>
To: Giuseppe Scrivano <gscrivano@gnu.org>, NoëlKöthe <noel@debian.org>, 684189@bugs.debian.org, amarao@desunote.ru
Subject: [bug #37055] Please add DELETE method
Date: Sat, 02 Nov 2013 10:57:58 +0000
Update of bug #37055 (project wget):

                  Status:                    None => Fixed                  
             Assigned to:                    None => gscrivano              
             Open/Closed:                    Open => Closed                 

    _______________________________________________________

Follow-up Comment #1:

wget upstream supports --method that allows to specify which HTTP method
should be used.  It will be part of the next wget version.

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?37055>

_______________________________________________
  Messaggio inviato con/da Savannah
  http://savannah.gnu.org/




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 04 Nov 2013 18:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:47:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.